# List Workflow Integration Connections

> Report whether each public integration has credentials, without exposing them.

Source: [https://genhealth.ai/docs/workflows/api-reference/v1/workflow-developer-api/list-workflow-integration-connections](https://genhealth.ai/docs/workflows/api-reference/v1/workflow-developer-api/list-workflow-integration-connections)

## Endpoint

`GET /developer/v1/integration-connections`

## Authentication

Send a GenHealth credential in the `Authorization` header:

```http
Authorization: Bearer <YOUR_API_KEY>
Accept: application/json
```

Required scopes: `workflow:read`

## Parameters

This endpoint has no request parameters.

## Request examples

### cURL

```curl
curl --request GET \
  --url 'https://api.umpa.genhealth.ai/developer/v1/integration-connections' \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Accept: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.umpa.genhealth.ai/developer/v1/integration-connections', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer <YOUR_API_KEY>',
    Accept: 'application/json',
  },
});

const data = await response.json();
```

### Python

```python
import requests

response = requests.get(
    'https://api.umpa.genhealth.ai/developer/v1/integration-connections',
    headers={
        'Authorization': 'Bearer <YOUR_API_KEY>',
        'Accept': 'application/json',
    },
)

data = response.json()
```

## Responses

| Status | Description |
| --- | --- |
| 200 | Successful Response |

### 200 response example

```json
{
  "connections": [
    {
      "connection_type": "string",
      "status": "not_connected",
      "configured": true,
      "validated": true
    }
  ],
  "connection_count": 1
}
```
